/**
 * AddressUse2.java
 *
 * File generated from the medication2::AddressUse2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration AddressUse2.
 *
 * 
 */

@XmlType(name = "AddressUse")
@XmlEnum
@XmlRootElement(name = "AddressUse2")
public enum AddressUse2 {
	@XmlEnumValue("BAD")
	BAD("BAD"),
	@XmlEnumValue("TMP")
	TMP("TMP"),
	@XmlEnumValue("H")
	H("H"),
	@XmlEnumValue("HP")
	HP("HP"),
	@XmlEnumValue("HV")
	HV("HV"),
	@XmlEnumValue("WP")
	WP("WP"),
	@XmlEnumValue("DIR")
	DIR("DIR"),
	@XmlEnumValue("PUB")
	PUB("PUB");
	
	private final String value;

    AddressUse2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static AddressUse2 fromValue(String v) {
        for (AddressUse2 c: AddressUse2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
